package com.zanxiang.game.module.base.pojo.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author : lingfeng
 * @time : 2023-07-07
 * @description : H5侧边栏暂时类型枚举
 */
@Getter
@AllArgsConstructor
public enum H5SignShowEnum {

    /**
     * 全部显示
     */
    SIGN_SHOW_ALL("SIGN_SHOW_ALL", "全部显示"),

    /**
     * 全部不显示
     */
    SIGN_SHOW_NONE("SIGN_SHOW_ALL", "全部不显示"),

    /**
     * 微信浏览器不显示
     */
    SIGN_SHOW_WX_NONE("SIGN_SHOW_WX_NONE", "微信浏览器不显示"),

    /**
     * 所有H5不显示
     */
    SIGN_SHOW_H5_NONE("SIGN_SHOW_H5_NONE", "所有H5不显示");

    /**
     * 展示类型
     */
    private final String value;

    /**
     * 描述
     */
    private final String describe;
}
